Subject: Re: [RTG-DIR] RtgDir review:draft-ietf-opsec-routing-protocols-crypto-issues-04.txt

From: Adrian Farrel <[email-masked]>
Date: Tue, 01 Jun 2010 15:52:38 +0100

I love you all, but can you get your AD to enter RFC Editor notes so that 
the comments don't get lost over the inevitable days between now and then.

I'll enter a Comment to try to help capture this.

Cheers.

Adrian
----- Original Message ----- 
From: "Joel Jaeggli" <[email-masked]>
To: "Bhatia, Manav (Manav)" <[email-masked]>
Cc: <[email-masked]>; 
<[email-masked]>; 
"Young Lee" <[email-masked]>; <[email-masked]>
Sent: Tuesday, May 11, 2010 3:09 AM
Subject: Re: [RTG-DIR] RtgDir 
review:draft-ietf-opsec-routing-protocols-crypto-issues-04.txt

> given the impact of the proposed text I think it can wait for auth48
> unless somebody on the on the iesg thinks otherwise.
>
> joel
>
> On 05/10/2010 02:57 PM, Bhatia, Manav (Manav) wrote:
>> Hi Young,
>>
>> Will add this in the next revision.
>>
>> Joel - Do we come out with the next revision now, or do we do it after 
>> the IESG review?
>>
>> Cheers, Manav
>>
>>> -----Original Message-----
>>> From: Young Lee [mailto:[email-masked]]
>>> Sent: Tuesday, May 11, 2010 2.13 AM
>>> To: 'Joel Jaeggli'; Bhatia, Manav (Manav)
>>> Cc: [email-masked]; [email-masked];
>>> [email-masked]
>>> Subject: RE: RtgDir review:
>>> draft-ietf-opsec-routing-protocols-crypto-issues-04.txt
>>>
>>> Hi Joel and Bhatia,
>>>
>>> I don't have any more issue on MD5. Thanks for your
>>> explanation. It may help
>>> the reader if you would say:
>>>
>>> "The MD5 digest algorithm was not designed to be used in the way most
>>> routing protocols are using it which has potentially serious future
>>> implications. There have been recent RFCs that support more secure
>>> algorithms than MD5 such as HMAC-SHA for OSPF [RFC 5709] and ISIS [RFC
>>> 5310], respectively."
>>>
>>> Best Regards,
>>> Young
>>>
>>> -----Original Message-----
>>> From: Joel Jaeggli [mailto:[email-masked]]
>>> Sent: Sunday, May 09, 2010 2:40 PM
>>> To: Bhatia, Manav (Manav)
>>> Cc: Young Lee; [email-masked]; [email-masked];
>>> [email-masked]
>>> Subject: Re: RtgDir review:
>>> draft-ietf-opsec-routing-protocols-crypto-issues-04.txt
>>>
>>>
>>>
>>> On 05/04/2010 07:39 PM, Bhatia, Manav (Manav) wrote:
>>>> Hi Young,
>>>>
>>>> Thanks for the review!
>>>>
>>>>> Minor Issues:
>>>>> Section 1: Can you give a bit more explanation why the MD5 digest
>>> algorithm is not suitable for future implications?
>>>>
>>>> I think there is enough evidence about attacks on MD5.
>>> Though we are still
>>> far from direct impact on routing protocols there is clear
>>> consensus in IETF
>>> about deprecating its use towards a more secure algorithm.
>>> You could look at
>>> two recent RFCs that add support for HMAC-SHA for OSPF [RFC
>>> 5709] and ISIS
>>> [RFC 5310].
>>>
>>> the reading for the security area directors (pasi) was that
>>> recommendation to avoid using md5 is sensible notwithstanding
>>>  a lack of
>>> specific circumstances in which it is possible to subvert.
>>>
>>>>> Section 1.1: At the end of the first paragraph, can you give the
>>>>> reference for the literature on the discovery of feasible collision
>>> attacks against MD4, etc.?
>>>>
>>>> Will add a reference in the next revision.
>>>>
>>>> [REF] Xiaoyun Wang, Xuejia Lai, Dengguo Feng and Hongbo Yu,
>>> "Collisions
>>> for hash functions MD4, MD5, HAVAL-128, and RIPEMD", Crypto 2004 Rump
>>> Session
>>>>
>>>>>
>>>>> Section 3: In the second paragraph, what is ESP? It would
>>> be helpful to
>>> include Terminology Section upfront to describe all the acronyms.
>>>>
>>>> Encapsulating Security Payload (ESP) [RFC4303]
>>>>
>>>>>
>>>>> Section 3.1: In the first paragraph, what is SA?
>>>>
>>>> Security Association
>>>>
>>>>>
>>>>> Nits:
>>>>> Abstract
>>>>> s/router ./router.
>>>>
>>>> Will do.
>>>>
>>>> Thanks, Manav
>>>>
>>>>
>>>
>>>
>